package net.northking.cctp.upperComputer.driver.agent.command;

import net.northking.cctp.upperComputer.driver.agent.command.protocol.AbstractProtocolCommand;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class SwitchWifiCommand extends AbstractProtocolCommand<Object> {

    private boolean turnOn = false;

    public SwitchWifiCommand(boolean turnOn) {
        this.turnOn = turnOn;
    }

    public boolean isTurnOn() {
        return turnOn;
    }

    public void setTurnOn(boolean turnOn) {
        this.turnOn = turnOn;
    }

    @Override
    public int getCommandId() {
        return 23;
    }

    @Override
    public void doSend(DataOutput output) throws IOException {
        output.writeBoolean(turnOn);
    }

    @Override
    public Object buildReceive(DataInput input) throws IOException {
        return null;
    }
}
